adinstbpm - Task #20520

Milestone # 20350 (New): IOTA BPM deployment
Milestone # 19607 (New): IOTA ACNET Interface

IOTA BPM TBT Array Device

08/03/2018 09:15 AM - John Diamond

Status: Assigned Start date: 08/03/2018
Priority: Normal Due date:

Assignee: Elliott McCrory % Done: 80%
Category: Estimated time: 16.00 hours
Target version: Spent time: 6.00 hours
Description

ACNET devices for reading the latest IOTA TBT data as an array.

History

#1 - 08/03/2018 09:16 AM - John Diamond

Turn by turn arrays for selected bunch (1-4) (h=4)
N:IPBMBN - bunch number select for all bpms
N:IxxxxH[0:N] - horizontal positions, 0 is average over threshold
N:IxxxxV[0:N] - vertical positions, 0 is average over threshold
N:IxxxxS[0:N] - sum intensity signal, 0 is average over threshold
N:IxxxxA[0:N] - A button magnitudes, 0 is average over threshold
N:IxxxxB[0:N] - B button magnitudes, 0 is average over threshold
N:IxxxxC[0:N] - C button magnitudes, 0 is average over threshold
N:IxxxxD[0:N] - D button magnitudes, 0 is average over threshold

#2 - 08/13/2018 02:47 PM - John Diamond
- % Done changed from 0 to 50

TBT positions and magnitudes are working. 0 element still needs work.

#3 - 10/16/2018 11:16 AM - Elliott McCrory
- % Done changed from 50 to 80
- Estimated time set to 16.00 h

Users report that once accessing these devices led to a segmentation fault in the C++ code. | believe this has been resolved, but this needs final
testing.
